Bug 139330 - [PATCH] Handle all possible GValue types
Summary: [PATCH] Handle all possible GValue types
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: usermode   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-15 09:45 UTC by Miloslav Trmač
Modified: 2013-07-02 23:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-17 08:58:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use lu_value_strdup () (1.59 KB, patch)
2004-11-15 09:46 UTC, Miloslav Trmač
no flags Details | Diff

Description Miloslav Trmač 2004-11-15 09:45:56 UTC
The libuser API uses GValues without explicitly describing
what GValue types are applicable, and the old G_TYPE_STRING,
G_TYPE_LONG pair is not enough to represent data (UID/GID
in particular) anymore.

This patch uses a new libuser utility function (available since
0.53-1) instead of explicitly handling select GValue types
(and aborting on others).

It also avoids an "unused variable" warning when compiling
without startup-notification.  BTW, startup-notification-devel
should probably be in BuildRequires:

Comment 1 Miloslav Trmač 2004-11-15 09:46:41 UTC
Created attachment 106701 [details]
Use lu_value_strdup ()

Comment 2 Jindrich Novy 2004-11-16 09:04:50 UTC
The same problem as in bug 139331:

userhelper.o(.text+0x246d): In function `main':
/home/jnovy/CVS_elvis/usermode.build/userhelper.c:1471: undefined
reference to `lu_value_strdup'
userhelper.o(.text+0x2bbc):/home/jnovy/CVS_elvis/usermode.build/userhelper.c:1571:
undefined reference to `lu_value_strdup'
collect2: ld returned 1 exit status


Comment 3 Jindrich Novy 2004-11-16 10:09:12 UTC
Fixed, commited, thanks.


Note You need to log in before you can comment on or make changes to this bug.